# ]po[ Estimate to Complete
This package is part of ]project-open[, an open-source enterprise project management system.

For more information about ]project-open[ please see:
* [Documentation Wiki](https://www.project-open.com/en/)
* [V5.0 Download](https://sourceforge.net/projects/project-open/files/project-open/V5.0/)
* [Installation Instructions](https://www.project-open.com/en/list-installers)

About ]po[ Estimate to Complete:

<p>This package implements &quot;Estimate to Complete (ETC)&quot; or &quot;Estimate Time to Complete&quot;, a project management tool used to track and forecast the performance of projects and individual tasks. ]project-open[ ETC allows users to conveniently enter their estimates how many hours they need to complete a task. The entry form has been added to the normal <a href="/en/package-intranet-timesheet2">timesheet</a> entry screen, effectively avoiding additional effort on the resource side. <p> Please <a href="/en/contact">contact</a> us if you have questions or need training to rollout this functionality in your organization. 

# Online Reference Documentation

## Procedure Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/procs-file-view?version_id=1861202&amp;path=packages/intranet-estimate-to-complete/tcl/intranet-estimate-to-complete-procs.tcl">tcl/intranet-estimate-to-complete-procs.tcl</a></b></td><td></td><td>Estimate to Complete </td></tr></table>

## Procedures

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1861202&amp;proc=im_estimate_to_complete_task_details_component">im_estimate_to_complete_task_details_component</a></b></td><td></td><td>Returns information about ETC and other estimation types. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1861202&amp;proc=im_estimate_to_complete_task_history_component">im_estimate_to_complete_task_history_component</a></b></td><td></td><td>Returns information about ETC and other estimation types. </td></tr></table>

## SQL Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-estimate-to-complete&amp;url=postgresql/intranet-estimate-to-complete-create.sql&amp;version_id=1861202">sql/postgresql/intranet-estimate-to-complete-create.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-estimate-to-complete&amp;url=postgresql/intranet-estimate-to-complete-drop.sql&amp;version_id=1861202">sql/postgresql/intranet-estimate-to-complete-drop.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-estimate-to-complete&amp;url=postgresql/upgrade/upgrade-5.0.2.2.0-5.0.2.2.1.sql&amp;version_id=1861202">sql/postgresql/upgrade/upgrade-5.0.2.2.0-5.0.2.2.1.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-estimate-to-complete&amp;url=postgresql/upgrade/upgrade-5.0.2.4.1-5.0.2.4.1.sql&amp;version_id=1861202">sql/postgresql/upgrade/upgrade-5.0.2.4.1-5.0.2.4.1.sql</a></b></td><td></td><td></td></tr></table>

## Content Pages

<table cellpadding="0" cellspacing="0"></table>

