-- /packages/intranet-estimate-to-complete/sql/postgresql/intranet-estimate-to-complete-drop.sql
--
-- Copyright (c) 2003-2008 ]project-open[
--
-- All rights reserved. Please check
-- https://www.project-open.com/license/ for details.
--
-- @author frank.bergmann@project-open.com


-- Drop plugins and menus for the module
--
select  im_component_plugin__del_module('intranet-estimate-to-complete');
select  im_menu__del_module('intranet-estimate-to-complete');


-----------------------------------------------------------
-- Drop main structures info

-- Drop functions
drop function if exists im_estimate_to_complete__name(integer);
drop function if exists im_estimate_to_complete__new (
	integer, varchar, timestamptz, integer, varchar, integer,
	integer, integer, 
	integer, integer, numeric, integer
);


drop function if exists im_estimate_to_complete__delete(integer);


-- Drop the main table
drop table if exists im_estimate_to_completes;

update acs_objects set context_id = null 
where context_id in (select object_id from acs_objects where object_type = 'im_estimate_to_complete');


delete from im_dynfield_layout
where attribute_id in (
	select attribute_id from im_dynfield_attributes
	where acs_attribute_id in (
		select	attribute_id from acs_attributes
		where object_type = 'im_estimate_to_complete'
	)
);

delete from im_dynfield_attributes
where acs_attribute_id in (
	select	attribute_id from acs_attributes
	where object_type = 'im_estimate_to_complete'
);

delete from im_dynfield_layout_pages
where object_type = 'im_estimate_to_complete';

delete from acs_attributes
where object_type = 'im_estimate_to_complete';

delete from acs_object_type_tables
where object_type = 'im_estimate_to_complete';


delete from im_biz_object_urls
where object_type = 'im_estimate_to_complete';

-- Completely delete the object type from the
-- object system
SELECT acs_object_type__drop_type ('im_estimate_to_complete', 't');



-----------------------------------------------------------
-- Drop Categories
--

-- drop view if exists im_estimate_to_complete_status;
-- drop view if exists im_estimate_to_complete_type;

delete from im_categories where category_type = 'Intranet Estimate to Complete Status';
delete from im_categories where category_type = 'Intranet Estimate to Complete Type';

